Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network63.167.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
63.167.0.0
Broadcast address
63.167.127.255
First usable
63.167.0.1
Last usable
63.167.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 3FA70000 · Integer 1067909120 to 1067941887
Reverse DNS zones
0.167.63.in-addr.arpa
1.167.63.in-addr.arpa
2.167.63.in-addr.arpa
3.167.63.in-addr.arpa
4.167.63.in-addr.arpa
5.167.63.in-addr.arpa
6.167.63.in-addr.arpa
7.167.63.in-addr.arpa
8.167.63.in-addr.arpa
9.167.63.in-addr.arpa
10.167.63.in-addr.arpa
11.167.63.in-addr.arpa
12.167.63.in-addr.arpa
13.167.63.in-addr.arpa
14.167.63.in-addr.arpa
15.167.63.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111111.10100111.00000000.0000000063.167.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00111111.10100111.00000000.0000000063.167.0.0
Broadcast00111111.10100111.01111111.1111111163.167.127.255
Split into smaller subnets/29

63.167.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
163.167.0.0/2963.167.0.1 to 63.167.0.663.167.0.76
263.167.0.8/2963.167.0.9 to 63.167.0.1463.167.0.156
363.167.0.16/2963.167.0.17 to 63.167.0.2263.167.0.236
463.167.0.24/2963.167.0.25 to 63.167.0.3063.167.0.316
563.167.0.32/2963.167.0.33 to 63.167.0.3863.167.0.396
663.167.0.40/2963.167.0.41 to 63.167.0.4663.167.0.476
763.167.0.48/2963.167.0.49 to 63.167.0.5463.167.0.556
863.167.0.56/2963.167.0.57 to 63.167.0.6263.167.0.636
963.167.0.64/2963.167.0.65 to 63.167.0.7063.167.0.716
1063.167.0.72/2963.167.0.73 to 63.167.0.7863.167.0.796
1163.167.0.80/2963.167.0.81 to 63.167.0.8663.167.0.876
1263.167.0.88/2963.167.0.89 to 63.167.0.9463.167.0.956
1363.167.0.96/2963.167.0.97 to 63.167.0.10263.167.0.1036
1463.167.0.104/2963.167.0.105 to 63.167.0.11063.167.0.1116
1563.167.0.112/2963.167.0.113 to 63.167.0.11863.167.0.1196
1663.167.0.120/2963.167.0.121 to 63.167.0.12663.167.0.1276
1763.167.0.128/2963.167.0.129 to 63.167.0.13463.167.0.1356
1863.167.0.136/2963.167.0.137 to 63.167.0.14263.167.0.1436
1963.167.0.144/2963.167.0.145 to 63.167.0.15063.167.0.1516
2063.167.0.152/2963.167.0.153 to 63.167.0.15863.167.0.1596
2163.167.0.160/2963.167.0.161 to 63.167.0.16663.167.0.1676
2263.167.0.168/2963.167.0.169 to 63.167.0.17463.167.0.1756
2363.167.0.176/2963.167.0.177 to 63.167.0.18263.167.0.1836
2463.167.0.184/2963.167.0.185 to 63.167.0.19063.167.0.1916
2563.167.0.192/2963.167.0.193 to 63.167.0.19863.167.0.1996
2663.167.0.200/2963.167.0.201 to 63.167.0.20663.167.0.2076
2763.167.0.208/2963.167.0.209 to 63.167.0.21463.167.0.2156
2863.167.0.216/2963.167.0.217 to 63.167.0.22263.167.0.2236
2963.167.0.224/2963.167.0.225 to 63.167.0.23063.167.0.2316
3063.167.0.232/2963.167.0.233 to 63.167.0.23863.167.0.2396
3163.167.0.240/2963.167.0.241 to 63.167.0.24663.167.0.2476
3263.167.0.248/2963.167.0.249 to 63.167.0.25463.167.0.2556
3363.167.1.0/2963.167.1.1 to 63.167.1.663.167.1.76
3463.167.1.8/2963.167.1.9 to 63.167.1.1463.167.1.156
3563.167.1.16/2963.167.1.17 to 63.167.1.2263.167.1.236
3663.167.1.24/2963.167.1.25 to 63.167.1.3063.167.1.316
3763.167.1.32/2963.167.1.33 to 63.167.1.3863.167.1.396
3863.167.1.40/2963.167.1.41 to 63.167.1.4663.167.1.476
3963.167.1.48/2963.167.1.49 to 63.167.1.5463.167.1.556
4063.167.1.56/2963.167.1.57 to 63.167.1.6263.167.1.636
4163.167.1.64/2963.167.1.65 to 63.167.1.7063.167.1.716
4263.167.1.72/2963.167.1.73 to 63.167.1.7863.167.1.796
4363.167.1.80/2963.167.1.81 to 63.167.1.8663.167.1.876
4463.167.1.88/2963.167.1.89 to 63.167.1.9463.167.1.956
4563.167.1.96/2963.167.1.97 to 63.167.1.10263.167.1.1036
4663.167.1.104/2963.167.1.105 to 63.167.1.11063.167.1.1116
4763.167.1.112/2963.167.1.113 to 63.167.1.11863.167.1.1196
4863.167.1.120/2963.167.1.121 to 63.167.1.12663.167.1.1276
4963.167.1.128/2963.167.1.129 to 63.167.1.13463.167.1.1356
5063.167.1.136/2963.167.1.137 to 63.167.1.14263.167.1.1436
5163.167.1.144/2963.167.1.145 to 63.167.1.15063.167.1.1516
5263.167.1.152/2963.167.1.153 to 63.167.1.15863.167.1.1596
5363.167.1.160/2963.167.1.161 to 63.167.1.16663.167.1.1676
5463.167.1.168/2963.167.1.169 to 63.167.1.17463.167.1.1756
5563.167.1.176/2963.167.1.177 to 63.167.1.18263.167.1.1836
5663.167.1.184/2963.167.1.185 to 63.167.1.19063.167.1.1916
5763.167.1.192/2963.167.1.193 to 63.167.1.19863.167.1.1996
5863.167.1.200/2963.167.1.201 to 63.167.1.20663.167.1.2076
5963.167.1.208/2963.167.1.209 to 63.167.1.21463.167.1.2156
6063.167.1.216/2963.167.1.217 to 63.167.1.22263.167.1.2236
6163.167.1.224/2963.167.1.225 to 63.167.1.23063.167.1.2316
6263.167.1.232/2963.167.1.233 to 63.167.1.23863.167.1.2396
6363.167.1.240/2963.167.1.241 to 63.167.1.24663.167.1.2476
6463.167.1.248/2963.167.1.249 to 63.167.1.25463.167.1.2556
6563.167.2.0/2963.167.2.1 to 63.167.2.663.167.2.76
6663.167.2.8/2963.167.2.9 to 63.167.2.1463.167.2.156
6763.167.2.16/2963.167.2.17 to 63.167.2.2263.167.2.236
6863.167.2.24/2963.167.2.25 to 63.167.2.3063.167.2.316
6963.167.2.32/2963.167.2.33 to 63.167.2.3863.167.2.396
7063.167.2.40/2963.167.2.41 to 63.167.2.4663.167.2.476
7163.167.2.48/2963.167.2.49 to 63.167.2.5463.167.2.556
7263.167.2.56/2963.167.2.57 to 63.167.2.6263.167.2.636
7363.167.2.64/2963.167.2.65 to 63.167.2.7063.167.2.716
7463.167.2.72/2963.167.2.73 to 63.167.2.7863.167.2.796
7563.167.2.80/2963.167.2.81 to 63.167.2.8663.167.2.876
7663.167.2.88/2963.167.2.89 to 63.167.2.9463.167.2.956
7763.167.2.96/2963.167.2.97 to 63.167.2.10263.167.2.1036
7863.167.2.104/2963.167.2.105 to 63.167.2.11063.167.2.1116
7963.167.2.112/2963.167.2.113 to 63.167.2.11863.167.2.1196
8063.167.2.120/2963.167.2.121 to 63.167.2.12663.167.2.1276
8163.167.2.128/2963.167.2.129 to 63.167.2.13463.167.2.1356
8263.167.2.136/2963.167.2.137 to 63.167.2.14263.167.2.1436
8363.167.2.144/2963.167.2.145 to 63.167.2.15063.167.2.1516
8463.167.2.152/2963.167.2.153 to 63.167.2.15863.167.2.1596
8563.167.2.160/2963.167.2.161 to 63.167.2.16663.167.2.1676
8663.167.2.168/2963.167.2.169 to 63.167.2.17463.167.2.1756
8763.167.2.176/2963.167.2.177 to 63.167.2.18263.167.2.1836
8863.167.2.184/2963.167.2.185 to 63.167.2.19063.167.2.1916
8963.167.2.192/2963.167.2.193 to 63.167.2.19863.167.2.1996
9063.167.2.200/2963.167.2.201 to 63.167.2.20663.167.2.2076
9163.167.2.208/2963.167.2.209 to 63.167.2.21463.167.2.2156
9263.167.2.216/2963.167.2.217 to 63.167.2.22263.167.2.2236
9363.167.2.224/2963.167.2.225 to 63.167.2.23063.167.2.2316
9463.167.2.232/2963.167.2.233 to 63.167.2.23863.167.2.2396
9563.167.2.240/2963.167.2.241 to 63.167.2.24663.167.2.2476
9663.167.2.248/2963.167.2.249 to 63.167.2.25463.167.2.2556
9763.167.3.0/2963.167.3.1 to 63.167.3.663.167.3.76
9863.167.3.8/2963.167.3.9 to 63.167.3.1463.167.3.156
9963.167.3.16/2963.167.3.17 to 63.167.3.2263.167.3.236
10063.167.3.24/2963.167.3.25 to 63.167.3.3063.167.3.316
10163.167.3.32/2963.167.3.33 to 63.167.3.3863.167.3.396
10263.167.3.40/2963.167.3.41 to 63.167.3.4663.167.3.476
10363.167.3.48/2963.167.3.49 to 63.167.3.5463.167.3.556
10463.167.3.56/2963.167.3.57 to 63.167.3.6263.167.3.636
10563.167.3.64/2963.167.3.65 to 63.167.3.7063.167.3.716
10663.167.3.72/2963.167.3.73 to 63.167.3.7863.167.3.796
10763.167.3.80/2963.167.3.81 to 63.167.3.8663.167.3.876
10863.167.3.88/2963.167.3.89 to 63.167.3.9463.167.3.956
10963.167.3.96/2963.167.3.97 to 63.167.3.10263.167.3.1036
11063.167.3.104/2963.167.3.105 to 63.167.3.11063.167.3.1116
11163.167.3.112/2963.167.3.113 to 63.167.3.11863.167.3.1196
11263.167.3.120/2963.167.3.121 to 63.167.3.12663.167.3.1276
11363.167.3.128/2963.167.3.129 to 63.167.3.13463.167.3.1356
11463.167.3.136/2963.167.3.137 to 63.167.3.14263.167.3.1436
11563.167.3.144/2963.167.3.145 to 63.167.3.15063.167.3.1516
11663.167.3.152/2963.167.3.153 to 63.167.3.15863.167.3.1596
11763.167.3.160/2963.167.3.161 to 63.167.3.16663.167.3.1676
11863.167.3.168/2963.167.3.169 to 63.167.3.17463.167.3.1756
11963.167.3.176/2963.167.3.177 to 63.167.3.18263.167.3.1836
12063.167.3.184/2963.167.3.185 to 63.167.3.19063.167.3.1916
12163.167.3.192/2963.167.3.193 to 63.167.3.19863.167.3.1996
12263.167.3.200/2963.167.3.201 to 63.167.3.20663.167.3.2076
12363.167.3.208/2963.167.3.209 to 63.167.3.21463.167.3.2156
12463.167.3.216/2963.167.3.217 to 63.167.3.22263.167.3.2236
12563.167.3.224/2963.167.3.225 to 63.167.3.23063.167.3.2316
12663.167.3.232/2963.167.3.233 to 63.167.3.23863.167.3.2396
12763.167.3.240/2963.167.3.241 to 63.167.3.24663.167.3.2476
12863.167.3.248/2963.167.3.249 to 63.167.3.25463.167.3.2556
12963.167.4.0/2963.167.4.1 to 63.167.4.663.167.4.76
13063.167.4.8/2963.167.4.9 to 63.167.4.1463.167.4.156
13163.167.4.16/2963.167.4.17 to 63.167.4.2263.167.4.236
13263.167.4.24/2963.167.4.25 to 63.167.4.3063.167.4.316
13363.167.4.32/2963.167.4.33 to 63.167.4.3863.167.4.396
13463.167.4.40/2963.167.4.41 to 63.167.4.4663.167.4.476
13563.167.4.48/2963.167.4.49 to 63.167.4.5463.167.4.556
13663.167.4.56/2963.167.4.57 to 63.167.4.6263.167.4.636
13763.167.4.64/2963.167.4.65 to 63.167.4.7063.167.4.716
13863.167.4.72/2963.167.4.73 to 63.167.4.7863.167.4.796
13963.167.4.80/2963.167.4.81 to 63.167.4.8663.167.4.876
14063.167.4.88/2963.167.4.89 to 63.167.4.9463.167.4.956
14163.167.4.96/2963.167.4.97 to 63.167.4.10263.167.4.1036
14263.167.4.104/2963.167.4.105 to 63.167.4.11063.167.4.1116
14363.167.4.112/2963.167.4.113 to 63.167.4.11863.167.4.1196
14463.167.4.120/2963.167.4.121 to 63.167.4.12663.167.4.1276
14563.167.4.128/2963.167.4.129 to 63.167.4.13463.167.4.1356
14663.167.4.136/2963.167.4.137 to 63.167.4.14263.167.4.1436
14763.167.4.144/2963.167.4.145 to 63.167.4.15063.167.4.1516
14863.167.4.152/2963.167.4.153 to 63.167.4.15863.167.4.1596
14963.167.4.160/2963.167.4.161 to 63.167.4.16663.167.4.1676
15063.167.4.168/2963.167.4.169 to 63.167.4.17463.167.4.1756
15163.167.4.176/2963.167.4.177 to 63.167.4.18263.167.4.1836
15263.167.4.184/2963.167.4.185 to 63.167.4.19063.167.4.1916
15363.167.4.192/2963.167.4.193 to 63.167.4.19863.167.4.1996
15463.167.4.200/2963.167.4.201 to 63.167.4.20663.167.4.2076
15563.167.4.208/2963.167.4.209 to 63.167.4.21463.167.4.2156
15663.167.4.216/2963.167.4.217 to 63.167.4.22263.167.4.2236
15763.167.4.224/2963.167.4.225 to 63.167.4.23063.167.4.2316
15863.167.4.232/2963.167.4.233 to 63.167.4.23863.167.4.2396
15963.167.4.240/2963.167.4.241 to 63.167.4.24663.167.4.2476
16063.167.4.248/2963.167.4.249 to 63.167.4.25463.167.4.2556
16163.167.5.0/2963.167.5.1 to 63.167.5.663.167.5.76
16263.167.5.8/2963.167.5.9 to 63.167.5.1463.167.5.156
16363.167.5.16/2963.167.5.17 to 63.167.5.2263.167.5.236
16463.167.5.24/2963.167.5.25 to 63.167.5.3063.167.5.316
16563.167.5.32/2963.167.5.33 to 63.167.5.3863.167.5.396
16663.167.5.40/2963.167.5.41 to 63.167.5.4663.167.5.476
16763.167.5.48/2963.167.5.49 to 63.167.5.5463.167.5.556
16863.167.5.56/2963.167.5.57 to 63.167.5.6263.167.5.636
16963.167.5.64/2963.167.5.65 to 63.167.5.7063.167.5.716
17063.167.5.72/2963.167.5.73 to 63.167.5.7863.167.5.796
17163.167.5.80/2963.167.5.81 to 63.167.5.8663.167.5.876
17263.167.5.88/2963.167.5.89 to 63.167.5.9463.167.5.956
17363.167.5.96/2963.167.5.97 to 63.167.5.10263.167.5.1036
17463.167.5.104/2963.167.5.105 to 63.167.5.11063.167.5.1116
17563.167.5.112/2963.167.5.113 to 63.167.5.11863.167.5.1196
17663.167.5.120/2963.167.5.121 to 63.167.5.12663.167.5.1276
17763.167.5.128/2963.167.5.129 to 63.167.5.13463.167.5.1356
17863.167.5.136/2963.167.5.137 to 63.167.5.14263.167.5.1436
17963.167.5.144/2963.167.5.145 to 63.167.5.15063.167.5.1516
18063.167.5.152/2963.167.5.153 to 63.167.5.15863.167.5.1596
18163.167.5.160/2963.167.5.161 to 63.167.5.16663.167.5.1676
18263.167.5.168/2963.167.5.169 to 63.167.5.17463.167.5.1756
18363.167.5.176/2963.167.5.177 to 63.167.5.18263.167.5.1836
18463.167.5.184/2963.167.5.185 to 63.167.5.19063.167.5.1916
18563.167.5.192/2963.167.5.193 to 63.167.5.19863.167.5.1996
18663.167.5.200/2963.167.5.201 to 63.167.5.20663.167.5.2076
18763.167.5.208/2963.167.5.209 to 63.167.5.21463.167.5.2156
18863.167.5.216/2963.167.5.217 to 63.167.5.22263.167.5.2236
18963.167.5.224/2963.167.5.225 to 63.167.5.23063.167.5.2316
19063.167.5.232/2963.167.5.233 to 63.167.5.23863.167.5.2396
19163.167.5.240/2963.167.5.241 to 63.167.5.24663.167.5.2476
19263.167.5.248/2963.167.5.249 to 63.167.5.25463.167.5.2556
19363.167.6.0/2963.167.6.1 to 63.167.6.663.167.6.76
19463.167.6.8/2963.167.6.9 to 63.167.6.1463.167.6.156
19563.167.6.16/2963.167.6.17 to 63.167.6.2263.167.6.236
19663.167.6.24/2963.167.6.25 to 63.167.6.3063.167.6.316
19763.167.6.32/2963.167.6.33 to 63.167.6.3863.167.6.396
19863.167.6.40/2963.167.6.41 to 63.167.6.4663.167.6.476
19963.167.6.48/2963.167.6.49 to 63.167.6.5463.167.6.556
20063.167.6.56/2963.167.6.57 to 63.167.6.6263.167.6.636
20163.167.6.64/2963.167.6.65 to 63.167.6.7063.167.6.716
20263.167.6.72/2963.167.6.73 to 63.167.6.7863.167.6.796
20363.167.6.80/2963.167.6.81 to 63.167.6.8663.167.6.876
20463.167.6.88/2963.167.6.89 to 63.167.6.9463.167.6.956
20563.167.6.96/2963.167.6.97 to 63.167.6.10263.167.6.1036
20663.167.6.104/2963.167.6.105 to 63.167.6.11063.167.6.1116
20763.167.6.112/2963.167.6.113 to 63.167.6.11863.167.6.1196
20863.167.6.120/2963.167.6.121 to 63.167.6.12663.167.6.1276
20963.167.6.128/2963.167.6.129 to 63.167.6.13463.167.6.1356
21063.167.6.136/2963.167.6.137 to 63.167.6.14263.167.6.1436
21163.167.6.144/2963.167.6.145 to 63.167.6.15063.167.6.1516
21263.167.6.152/2963.167.6.153 to 63.167.6.15863.167.6.1596
21363.167.6.160/2963.167.6.161 to 63.167.6.16663.167.6.1676
21463.167.6.168/2963.167.6.169 to 63.167.6.17463.167.6.1756
21563.167.6.176/2963.167.6.177 to 63.167.6.18263.167.6.1836
21663.167.6.184/2963.167.6.185 to 63.167.6.19063.167.6.1916
21763.167.6.192/2963.167.6.193 to 63.167.6.19863.167.6.1996
21863.167.6.200/2963.167.6.201 to 63.167.6.20663.167.6.2076
21963.167.6.208/2963.167.6.209 to 63.167.6.21463.167.6.2156
22063.167.6.216/2963.167.6.217 to 63.167.6.22263.167.6.2236
22163.167.6.224/2963.167.6.225 to 63.167.6.23063.167.6.2316
22263.167.6.232/2963.167.6.233 to 63.167.6.23863.167.6.2396
22363.167.6.240/2963.167.6.241 to 63.167.6.24663.167.6.2476
22463.167.6.248/2963.167.6.249 to 63.167.6.25463.167.6.2556
22563.167.7.0/2963.167.7.1 to 63.167.7.663.167.7.76
22663.167.7.8/2963.167.7.9 to 63.167.7.1463.167.7.156
22763.167.7.16/2963.167.7.17 to 63.167.7.2263.167.7.236
22863.167.7.24/2963.167.7.25 to 63.167.7.3063.167.7.316
22963.167.7.32/2963.167.7.33 to 63.167.7.3863.167.7.396
23063.167.7.40/2963.167.7.41 to 63.167.7.4663.167.7.476
23163.167.7.48/2963.167.7.49 to 63.167.7.5463.167.7.556
23263.167.7.56/2963.167.7.57 to 63.167.7.6263.167.7.636
23363.167.7.64/2963.167.7.65 to 63.167.7.7063.167.7.716
23463.167.7.72/2963.167.7.73 to 63.167.7.7863.167.7.796
23563.167.7.80/2963.167.7.81 to 63.167.7.8663.167.7.876
23663.167.7.88/2963.167.7.89 to 63.167.7.9463.167.7.956
23763.167.7.96/2963.167.7.97 to 63.167.7.10263.167.7.1036
23863.167.7.104/2963.167.7.105 to 63.167.7.11063.167.7.1116
23963.167.7.112/2963.167.7.113 to 63.167.7.11863.167.7.1196
24063.167.7.120/2963.167.7.121 to 63.167.7.12663.167.7.1276
24163.167.7.128/2963.167.7.129 to 63.167.7.13463.167.7.1356
24263.167.7.136/2963.167.7.137 to 63.167.7.14263.167.7.1436
24363.167.7.144/2963.167.7.145 to 63.167.7.15063.167.7.1516
24463.167.7.152/2963.167.7.153 to 63.167.7.15863.167.7.1596
24563.167.7.160/2963.167.7.161 to 63.167.7.16663.167.7.1676
24663.167.7.168/2963.167.7.169 to 63.167.7.17463.167.7.1756
24763.167.7.176/2963.167.7.177 to 63.167.7.18263.167.7.1836
24863.167.7.184/2963.167.7.185 to 63.167.7.19063.167.7.1916
24963.167.7.192/2963.167.7.193 to 63.167.7.19863.167.7.1996
25063.167.7.200/2963.167.7.201 to 63.167.7.20663.167.7.2076
25163.167.7.208/2963.167.7.209 to 63.167.7.21463.167.7.2156
25263.167.7.216/2963.167.7.217 to 63.167.7.22263.167.7.2236
25363.167.7.224/2963.167.7.225 to 63.167.7.23063.167.7.2316
25463.167.7.232/2963.167.7.233 to 63.167.7.23863.167.7.2396
25563.167.7.240/2963.167.7.241 to 63.167.7.24663.167.7.2476
25663.167.7.248/2963.167.7.249 to 63.167.7.25463.167.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses